org.fourthline.cling.support.model.container

## Class MusicArtist

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject
  - - org.fourthline.cling.support.model.container.Container
    - - org.fourthline.cling.support.model.container.PersonContainer
      - - org.fourthline.cling.support.model.container.MusicArtist

-     public class MusicArtist
      extends PersonContainer

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject

      `DIDLObject.Class, DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DIDLObject.Class` | `CLASS`

    - ### Fields inherited from class org.fourthline.cling.support.model.container.Container

      `childCount, containers, createClasses, items, searchable, searchClasses`

    - ### Fields inherited from class org.fourthline.cling.support.model.DIDLObject

      `clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MusicArtist()`
    `MusicArtist(Container other)`
    `MusicArtist(String id, Container parent, String title, String creator, Integer childCount)`
    `MusicArtist(String id, String parentID, String title, String creator, Integer childCount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getArtistDiscographyURI()`
    `String` | `getFirstGenre()`
    `String[]` | `getGenres()`
    `MusicArtist` | `setArtistDiscographyURI(URI uri)`
    `MusicArtist` | `setGenres(String[] genres)`

    - ### Methods inherited from class org.fourthline.cling.support.model.container.PersonContainer

      `getLanguage, setLanguage`

    - ### Methods inherited from class org.fourthline.cling.support.model.container.Container

      `addContainer, addItem, getChildCount, getContainers, getCreateClasses, getFirstContainer, getItems, getSearchClasses, isSearchable, setChildCount, setContainers, setCreateClasses, setItems, setSearchable, setSearchClasses`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject

      `addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final DIDLObject.Class CLASS

  - ### Constructor Detail

    - #### MusicArtist

          public MusicArtist()

    - #### MusicArtist

          public MusicArtist(Container other)

    - #### MusicArtist

          public MusicArtist(String id,
                     Container parent,
                     String title,
                     String creator,
                     Integer childCount)

    - #### MusicArtist

          public MusicArtist(String id,
                     String parentID,
                     String title,
                     String creator,
                     Integer childCount)

  - ### Method Detail

    - #### getFirstGenre

          public String getFirstGenre()

    - #### getGenres

          public String[] getGenres()

    - #### setGenres

          public MusicArtist setGenres(String[] genres)

    - #### getArtistDiscographyURI

          public URI getArtistDiscographyURI()

    - #### setArtistDiscographyURI

          public MusicArtist setArtistDiscographyURI(URI uri)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.